Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.bigdecimal
Class BigDecOperatorTable

    java.lang.Object
      com.singularsys.jep.OperatorTable
          com.singularsys.jep.bigdecimal.BigDecOperatorTable

All Implemented Interfaces:
  JepComponent, java.io.Serializable

    public class BigDecOperatorTable

extends OperatorTable

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.OperatorTable
`baseNumOps, numOps, OP_ADD, OP_AND, OP_ASSIGN, OP_CROSS, OP_DIVIDE, OP_DOT, OP_ELEMENT, OP_EQ, OP_GE, OP_GT, OP_LE, OP_LIST, OP_LT, OP_MOD, OP_MULTIPLY, OP_NE, OP_NEGATE, OP_NOP, OP_NOT, OP_OR, OP_POWER, OP_RANGE, OP_RECIP, OP_SUBTRACT, OP_UPLUS, ops`

Constructor Summary
`BigDecOperatorTable(java.math.MathContext mc)`

Method Summary
`java.math.MathContext` | `getMathContext()`
`void` | `setMathContext(java.math.MathContext mc)`

Methods inherited from class com.singularsys.jep.OperatorTable
`addOperator, addOperator, addOperator, addOperator, appendOperator, appendOperator, getAdd, getAnd, getAssign, getCross, getDivide, getDot, getEle, getEQ, getGE, getGT, getLE, getLightWeightInstance, getList, getLT, getMod, getMultiply, getNE, getNop, getNot, getNumOps, getOperator, getOperators, getOperatorsByName, getOperatorsBySymbol, getOr, getPower, getRange, getSubtract, getUDivide, getUMinus, getUPlus, init, insertOperator, insertOperator, removeOperator, replaceOperator, setBinaryInverseOp, setDistributiveOver, setInverseOp, setNumOps, setPrecedenceTable, setRootOp, setStandardOperatorRelations, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BigDecOperatorTable

    public BigDecOperatorTable(java.math.MathContext mc)

Method Detail

### getMathContext

    public java.math.MathContext getMathContext()

### setMathContext

    public void setMathContext(java.math.MathContext mc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep